## prison-kf5 5.116.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.116.0") # handled by release scripts
project(prison VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.116.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${ECM_MODULE_PATH}")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(ECMGeneratePriFile)
include(ECMAddQch)
include(ECMAddTests)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG OPTIONAL_COMPONENTS Quick Multimedia)
find_package(QRencode)
set_package_properties(QRencode PROPERTIES
    PURPOSE "Required for generation of QRCode barcodes."
    TYPE REQUIRED)
find_package(Dmtx)
set_package_properties(Dmtx PROPERTIES
    PURPOSE "Required for generation of Data Matrix barcodes."
    TYPE RECOMMENDED)
find_package(ZXing 2.0)
if (NOT TARGET ZXing::ZXing)
  find_package(ZXing 1.2.0)
endif()
set_package_properties(ZXing PROPERTIES
    PURPOSE "Required for generation of PDF417 barcodes and for scanning of barcodes from live video feed."
    TYPE RECOMMENDED)

if (Qt5_POSITION_INDEPENDENT_CODE)
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

ecm_setup_version(PROJECT VARIABLE_PREFIX PRISON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/prison_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PrisonConfigVersion.cmake"
                        SOVERSION 5
)
ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

add_subdirectory(src)
if(BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Widgets)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Prison")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Prison_QCH
        FILE KF5PrisonQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PrisonQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PrisonConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PrisonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PrisonConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PrisonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PrisonTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5PrisonTargets.cmake
  NAMESPACE KF5::
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/prison_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Prison
  COMPONENT Devel
)

# TODO KF6: remove this, kept for backwards-compatibility in KF5 so that #inlcude <prison/prison_version.h>
# continues working
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/prison_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Prison/prison
  COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/lib/CMakeLists.txt ===
include(CMakePackageConfigHelpers)
if(TARGET Dmtx::Dmtx)
    set(HAVE_DMTX 1)
endif()
if (TARGET ZXing::ZXing)
    set(HAVE_ZXING 1)
endif()
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-prison.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-prison.h)

add_library(KF5Prison)
add_library(KF5::Prison ALIAS KF5Prison)

set_target_properties(KF5Prison PROPERTIES
    VERSION     ${PRISON_VERSION}
    SOVERSION   ${PRISON_SOVERSION}
    EXPORT_NAME Prison
)

target_sources(KF5Prison PRIVATE
    abstractbarcode.cpp
    abstractbarcode.h
    aztecbarcode.cpp
    aztecbarcode.h
    barcodeutil.cpp
    barcodeutil.h
    bitvector.cpp
    bitvector_p.h
    code128barcode.cpp
    code128barcode.h
    code39barcode.cpp
    code39barcode.h
    code93barcode.cpp
    code93barcode.h
    prison.cpp
    prison.h
    qrcodebarcode.cpp
    qrcodebarcode.h
    reedsolomon.cpp
    reedsolomon_p.h
)
if(TARGET Dmtx::Dmtx)
    target_sources(KF5Prison PRIVATE datamatrixbarcode.cpp datamatrixbarcode.h)
endif()
if(TARGET ZXing::ZXing)
    target_sources(KF5Prison PRIVATE
        pdf417barcode.cpp
        pdf417barcode.h
        zxingutil.cpp
    )
endif()
kde_source_files_enable_exceptions(
    pdf417barcode.cpp
    prison.cpp
    zxingutil.cpp
)

ecm_qt_declare_logging_category(KF5Prison
    HEADER prison_debug.h
    IDENTIFIER Prison::Log
    CATEGORY_NAME kf.prison
    OLD_CATEGORY_NAMES kf5.prison
    DESCRIPTION "Prison (lib)"
    EXPORT PRISON
)

ecm_generate_export_header(KF5Prison
    BASE_NAME Prison
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.69 5.72
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5Prison INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Prison>")

target_link_libraries(KF5Prison
PUBLIC
   Qt${QT_MAJOR_VERSION}::Gui
PRIVATE
   QRencode::QRencode
)
if(TARGET Dmtx::Dmtx)
    target_link_libraries(KF5Prison PRIVATE Dmtx::Dmtx)
endif()
if(TARGET ZXing::ZXing)
    target_link_libraries(KF5Prison PRIVATE ZXing::ZXing)
endif()

install(TARGETS KF5Prison EXPORT KF5PrisonTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(Prison_CamelCase_HEADERS
    HEADER_NAMES
    AbstractBarcode
    Prison
    REQUIRED_HEADERS Prison_HEADERS
    OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/Prison
)

set(_all_headers
    ${Prison_HEADERS}
    ${Prison_CamelCase_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/prison_export.h
)

# So that the headers are found at build time
target_include_directories(KF5Prison PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

# To keep backwards compatibility with KF5, all headers are copied to <includedir>/KF5/Prison/prison,
# for KF6 everything goes into <includedir>/KF6/Prison/Prison only
if (QT_MAJOR_VERSION STREQUAL "5")
    install(
        FILES ${_all_headers}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Prison/prison
        COMPONENT Devel
    )
endif()

install(
    FILES ${_all_headers}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Prison/Prison
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Prison_QCH
        NAME Prison
        BASE_NAME KF5Prison
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${Prison_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Gui_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            PRISON_EXPORT
            PRISON_DEPRECATED
            PRISON_DEPRECATED_EXPORT
            "PRISON_DEPRECATED_VERSION(x, y, t)"
            "PRISON_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

# INCLUDE_INSTALL_DIR has to be without prison/ subdir
# as the generated CamelCase headers have the prison/ path in the forward include
ecm_generate_pri_file(BASE_NAME Prison LIB_NAME KF5Prison DEPS "gui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/Prison)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/scanner/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-prison-scanner.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-prison-scanner.h)

add_library(KF5PrisonScanner)
add_library(KF5::PrisonScanner ALIAS KF5PrisonScanner)

set_target_properties(KF5PrisonScanner PROPERTIES
    VERSION     ${PRISON_VERSION}
    SOVERSION   ${PRISON_SOVERSION}
    EXPORT_NAME PrisonScanner
)

target_sources(KF5PrisonScanner PRIVATE
    format.cpp
    scanresult.cpp
    videoscanner.cpp
    videoscannerframe.cpp
    videoscannerworker.cpp
)
kde_source_files_enable_exceptions(videoscannerworker.cpp)

ecm_generate_export_header(KF5PrisonScanner
    BASE_NAME PrisonScanner
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
)
target_include_directories(KF5PrisonScanner
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/PrisonScanner>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Prison>" # module version header
)
target_link_libraries(KF5PrisonScanner
    PUBLIC
        Qt${QT_MAJOR_VERSION}::Multimedia
    PRIVATE
        Qt${QT_MAJOR_VERSION}::Core
        ZXing::ZXing
)

install(TARGETS KF5PrisonScanner EXPORT KF5PrisonTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(PrisonScanner_CamelCase_HEADERS
    HEADER_NAMES
        Format
        ScanResult
        VideoScanner
    OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/Prison
    REQUIRED_HEADERS PrisonScanner_HEADERS
)

install(
    FILES
        ${PrisonScanner_CamelCase_HEADERS}
        ${PrisonScanner_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/prisonscanner_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/PrisonScanner/Prison
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5PrisonScanner_QCH
        NAME PrisonScanner
        BASE_NAME KF5PrisonScanner
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${PrisonScanner_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Multimedia_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            PRISONSCANNER_EXPORT
            PRISONSCANNER_DEPRECATED
            PRISONSCANNER_DEPRECATED_EXPORT
            "PRISONSCANNER_DEPRECATED_VERSION(x, y, t)"
            "PRISONSCANNER_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
prison-kf5 (5.116.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove the libzxing-dev B-D as prison-kf5 is not compatible with
    ZXing 3 (Closes: #1128627).

 -- Patrick Franz <deltaone@debian.org>  Sun, 22 Feb 2026 00:40:30 +0100

prison-kf5 (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:31:25 +0200

=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               libdmtx-dev,
               libqrencode-dev,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtmultimedia5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/prison
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/prison
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/prison.git
Rules-Requires-Root: no

Package: libkf5prison-dev
Section: libdevel
Architecture: any
Depends: libkf5prison5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5prison-doc (= ${source:Version}),
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5prison5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: qml-module-org-kde-prison
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made to support more.
 .
 This package contains the Prison Qt Quick QML bindings.

## prison-kf5 5.116.0+p24.04+vstable+git20250807.0251

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 project(prison VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
prison-kf5 (5.116.0+p24.04+vstable+git20250807.0251-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 07 Aug 2025 02:51:25 +0000

prison-kf5 (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:45:32 +1000

prison-kf5 (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:45:35 +0000

prison-kf5 (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:32:08 +0000

prison-kf5 (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:10:52 +0000

prison-kf5 (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:53:59 +0000

prison-kf5 (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 17:46:34 +0000

prison-kf5 (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:34:41 +0000

prison-kf5 (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 04:26:47 +0000

prison-kf5 (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:18:36 +0000

prison-kf5 (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:09:50 +0000

prison-kf5 (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:03:34 +0000

prison-kf5 (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:36:46 +0000

prison-kf5 (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:46:13 +0000

prison-kf5 (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:05:56 +0000

prison-kf5 (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:07:28 +0000

prison-kf5 (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:16:49 +0000

prison-kf5 (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:30:39 +0000

prison-kf5 (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:40:22 +0000

prison-kf5 (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:13:22 +0000

prison-kf5 (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:41:20 +0000

prison-kf5 (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:05:45 +0000

=== debian/control ===
Source: prison-kf5
Section: libs
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.96.0~),
               libdmtx-dev,
               libqrencode-dev,
               libqt5sql5-sqlite,
               libzxing-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kdesupport/prison
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/prison.git
Vcs-Browser: https://invent.kde.org/neon/kde/prison
Maintainer: Neon CI <neon@kde.org>

Package: libkf5prison-dev
Section: libdevel
Architecture: any
Depends: libkf5prison5 (= ${binary:Version}),
         libkf5prisonscanner5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends}
Recommends: libkf5prison-doc (= ${source:Version})
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf5prison-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5prison-dev (<< 5.96.0-1neon)
Replaces: libkf5prison-dev (<< 5.96.0-1neon)
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5prison5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: libkf5prisonscanner5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library for scanning.

Package: qml-module-org-kde-prison
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the QML module

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/prison-([\d.]+)\.tar\.xz
